Strophe: parser_expat.c File Reference

Strophe 0.9 XMPP client library

Data Structures | Macros | Functions
parser_expat.c File Reference

XML parser handlers. More...

## Data Structures
struct | parser_t

## Macros
#define | NAMESPACE_SEP ('\x1F')
#define | INNER_TEXT_PADDING 2

## Functions
static char * | _xml_name (xmpp_ctx_t *ctx, const char *nsname)
static char * | _xml_namespace (xmpp_ctx_t *ctx, const char *nsname)
static void | _set_attributes (xmpp_stanza_t *stanza, const XML_Char **attrs)
static void | complete_inner_text (parser_t *parser)
static void | _start_element (void *userdata, const XML_Char *nsname, const XML_Char **attrs)
static void | _end_element (void *userdata, const XML_Char *name)
static void | _characters (void *userdata, const XML_Char *s, int len)
parser_t * | parser_new (xmpp_ctx_t *ctx, parser_start_callback startcb, parser_end_callback endcb, parser_stanza_callback stanzacb, void *userdata)
char * | parser_attr_name (xmpp_ctx_t *ctx, char *nsname)
void | parser_free (parser_t *parser)
int | parser_reset (parser_t *parser)
int | parser_feed (parser_t *parser, char *chunk, int len)

## Detailed Description

XML parser handlers.

## Macro Definition Documentation

## ◆ NAMESPACE_SEP

#define NAMESPACE_SEP ('\x1F')

## ◆ INNER_TEXT_PADDING

#define INNER_TEXT_PADDING 2

## Function Documentation

## ◆ _xml_name()

static char * _xml_name | ( | xmpp_ctx_t * | ctx,
|  | const char * | nsname )
| static

## ◆ _xml_namespace()

static char * _xml_namespace | ( | xmpp_ctx_t * | ctx,
|  | const char * | nsname )
| static

## ◆ _set_attributes()

static void _set_attributes | ( | xmpp_stanza_t * | stanza,
|  | const XML_Char ** | attrs )
| static

## ◆ complete_inner_text()

static void complete_inner_text | ( | parser_t * | parser | ) |
| static

## ◆ _start_element()

static void _start_element | ( | void * | userdata,
|  | const XML_Char * | nsname,
|  | const XML_Char ** | attrs )
| static

## ◆ _end_element()

static void _end_element | ( | void * | userdata,
|  | const XML_Char * | name )
| static

## ◆ _characters()

static void _characters | ( | void * | userdata,
|  | const XML_Char * | s,
|  | int | len )
| static

## ◆ parser_new()

parser_t * parser_new | ( | xmpp_ctx_t * | ctx,
|  | parser_start_callback | startcb,
|  | parser_end_callback | endcb,
|  | parser_stanza_callback | stanzacb,
|  | void * | userdata )

## ◆ parser_attr_name()

char * parser_attr_name | ( | xmpp_ctx_t * | ctx,
|  | char * | nsname )

## ◆ parser_free()

void parser_free | ( | parser_t * | parser | ) |

## ◆ parser_reset()

int parser_reset | ( | parser_t * | parser | ) |

## ◆ parser_feed()

int parser_feed | ( | parser_t * | parser,
|  | char * | chunk,
|  | int | len )